org.apache.ignite.internal.visor.binary

## Class VisorBinaryMetadataField

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.binary.VisorBinaryMetadataField

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorBinaryMetadataField
    extends VisorDataTransferObject

Binary object metadata field information.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorBinaryMetadataField()` Default constructor.
`VisorBinaryMetadataField(String fieldName, String fieldTypeName, Integer fieldId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `getFieldId()`
`String` `getFieldName()`
`String` `getFieldTypeName()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorBinaryMetadataField

    public VisorBinaryMetadataField()

Default constructor.

#### VisorBinaryMetadataField

    public VisorBinaryMetadataField(String fieldName,
                                    String fieldTypeName,
                                    Integer fieldId)

Parameters:
  `fieldName` - Field name.
  `fieldTypeName` - Field type name.
  `fieldId` - Field id.

### Method Detail

#### getFieldName

    public String getFieldName()

Returns:
  Field name.

#### getFieldTypeName

    @Nullable
    public String getFieldTypeName()

Returns:
  Field type name.

#### getFieldId

    public Integer getFieldId()

Returns:
  Field id.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018